Package org.apache.tapestry5.internal.bindings

# Class TranslateBindingFactory

java.lang.Object
org.apache.tapestry5.internal.bindings.TranslateBindingFactory

All Implemented Interfaces:
  `BindingFactory`

public class TranslateBindingFactory extends Object implements BindingFactory
Interprets the binding expression as the name of a `Translator` provided by the `TranslatorSource`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TranslateBindingFactory(FieldTranslatorSource source, StringInterner interner)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Binding`
  `newBinding(String description, ComponentResources container, ComponentResources component, String expression, Location location)`
  Creates a new binding instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TranslateBindingFactory

    public TranslateBindingFactory(FieldTranslatorSource source, StringInterner interner)

- ## Method Details

  - ### newBinding

    public Binding newBinding(String description, ComponentResources container, ComponentResources component, String expression, Location location)
    Description copied from interface: `BindingFactory`
    Creates a new binding instance. The binding represents a connection between the container and the component (the component is usually the child of the component, though in a few cases, it is the component itself). In most cases, the expression is evaluated in terms of the resources of the container and the component is ignored.
    Specified by:
      `newBinding` in interface `BindingFactory`
    Parameters:
      `description` - of the binding, such as, "parameter foo"
      `container` - the component, as represented by its resources, for which a binding is to be created.
      `component` - the component whose parameter is to be bound by the resulting binding (rarely used)
      `location` - from which the binding was generate, or null if not known
    Returns:
      the new binding instance